PointbaseSequence (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.jdbc.PointbaseSequence class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.jdbc
Class PointbaseSequence

    java.lang.Object
      org.hyperic.util.jdbc.PointbaseSequence

    public class PointbaseSequence

extends java.lang.Object

Constructor Summary
`PointbaseSequence()`

Method Summary
`static void` | `cleanupSequences(java.sql.Connection conn)`
`static void` | `create(java.sql.Connection conn, java.lang.String name, int startVal, int increment)`
`static void` | `drop(java.sql.Connection conn, java.lang.String name)`
`static java.lang.String` | `getCreateCommand(java.lang.String name, int startVal, int increment)`
`static java.lang.String` | `getDropCommand(java.lang.String name)`
`static java.lang.String` | `getIncrementCommand(java.lang.String name, int increment)`
`static java.lang.String` | `getSelectNextValCommand(java.lang.String name)`
`static void` | `initSequences(java.sql.Connection conn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointbaseSequence

    public PointbaseSequence()

Method Detail

### cleanupSequences

    public static void cleanupSequences(java.sql.Connection conn)
                                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### create

    public static void create(java.sql.Connection conn,
                              java.lang.String name,
                              int startVal,
                              int increment)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### drop

    public static void drop(java.sql.Connection conn,
                            java.lang.String name)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getCreateCommand

    public static java.lang.String getCreateCommand(java.lang.String name,
                                                    int startVal,
                                                    int increment)

### getDropCommand

    public static java.lang.String getDropCommand(java.lang.String name)

### getIncrementCommand

    public static java.lang.String getIncrementCommand(java.lang.String name,
                                                       int increment)

### getSelectNextValCommand

    public static java.lang.String getSelectNextValCommand(java.lang.String name)

### initSequences

    public static void initSequences(java.sql.Connection conn)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.